package weixinrpc

import (
	"testing"
)

func Test_SendMiniSubscribeMessage(t *testing.T) {

	db := "gkxy_tetele_net"
	site_id := "1101832"
	appid := "wx7b72dc719ad1f6d3"
	secret := "b8ae6d64605a963056ff067cceffefd2"
	touser := "osxVD5S0PAh82gyIXSiXCJzM_k6s"
	temp_id := "0Qbw6nuzj3X4kvOqGbGgD-dlu06NF6u9_ZYIiw0TY4Y"
	page := "pages/order/order"
	miniprogram_state := ""
	lang := ""
	data := map[string]map[string]string{
		"character_string1": map[string]string{"value": "961617783456"},
		"phrase2":           map[string]string{"value": "配送中"},
		"thing3":            map[string]string{"value": "小火锅"},
		"thing4":            map[string]string{"value": "香洲区测试用"},
		"thing5":            map[string]string{"value": "下单备注"},
	}

	// data_json, _ := json.Marshal(data)

	ret, err := SendMiniSubscribeMessage(db, site_id, appid, secret, touser, temp_id, page, miniprogram_state, lang, data, "49.232.85.91:17969")
	t.Log(ret, err)
}
